package com.ruoyi.system.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业检查记录，用于记录与企业相关的环保检查信息。对象 enterprise_inspections
 *
 * @author ruoyi
 * @date 2025-01-15
 */
@TableName("enterprise_inspections")
public class EnterpriseInspections extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/**
	 * 检查记录ID，主键
	 */
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;

	/**
	 * 任务ID
	 */
	@Excel(name = "任务ID")
	private Long taskId;

	/**
	 * 企业ID
	 */
	@Excel(name = "企业ID")
	private Long enterpriseId;

	/**
	 * 检查状态
	 */
	@Excel(name = "检查状态")
	private String status;

	/**
	 * 检查日期
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
	private Date date;

	/**
	 * 检查结果
	 */
	@Excel(name = "检查结果")
	private String result;

	/**
	 * 备注，检查执行或结果的详细说明
	 */
	@Excel(name = "备注，检查执行或结果的详细说明")
	private String remarks;

	/**
	 * 检查人员签到位置信息，格式：经纬度
	 */
	@Excel(name = "检查人员签到位置信息，格式：经纬度")
	private String gpsLocation;

	/**
	 * 检查人员ID
	 */
	@Excel(name = "检查人员ID")
	private Long creator;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getTaskId() {
		return taskId;
	}

	public void setTaskId(Long taskId) {
		this.taskId = taskId;
	}

	public Long getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(Long enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getGpsLocation() {
		return gpsLocation;
	}

	public void setGpsLocation(String gpsLocation) {
		this.gpsLocation = gpsLocation;
	}

	public Long getCreator() {
		return creator;
	}

	public void setCreator(Long creator) {
		this.creator = creator;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
				.append("id", getId())
				.append("taskId", getTaskId())
				.append("enterpriseId", getEnterpriseId())
				.append("status", getStatus())
				.append("date", getDate())
				.append("result", getResult())
				.append("remarks", getRemarks())
				.append("gpsLocation", getGpsLocation())
				.append("creator", getCreator())
				.append("createTime", getCreateTime())
				.append("updateTime", getUpdateTime())
				.toString();
	}
}
