package com.ruoyi.system.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.PrimaryKey;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 企业对象 enterprises
 *
 * @author ruoyi
 * @date 2025-01-08
 */
@Data
@TableName("enterprises")
public class Enterprises extends BaseEntity
{
    /**
     * 企业ID，主键
     */
    @PrimaryKey
    private Long id;

    /**
     * 所属部门ID
     */
    @TableField("department_id")
    private Long departmentId;

    /**
     * 管辖人员ID
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 企业类型：1.大型、2.中型、3.小型、4.环保重点
     */
    private Integer type;

    /**
     * 企业所属区域：1.东区、2.西区、3.北区、4.南区
     */
    private Integer region;

    /**
     * 企业名称
     */
    @TableField("enterprises_name")
    private String enterprisesName;

    /**
     * 企业地址
     */
    private String address;

    /**
     * 企业环保负责人联系电话
     */
    @TableField("environmental_contact_phone")
    private String environmentalContactPhone;

    /**
     * 企业环保负责人姓名
     */
    @TableField("contact_name")
    private String contactName;

    /**
     * 企业注册号
     */
    @TableField("registration_number")
    private String registrationNumber;

    /**
     * 企业图文介绍
     */
    private String introduction;

    /**
     * 企业成立时间
     */
    @TableField("establishment_date")
    private Date establishmentDate;

    /**
     * 企业经纬度
     */
    @TableField("gps_location")
    private String gpsLocation;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 是否删除
     */
    private Boolean delFlag;
}
