package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附件信息对象 file_info
 *
 * @author ruoyi
 * @date 2025-01-08
 */
@TableName("user")
public class FileInfo extends BaseEntity
{
	private static final long serialVersionUID = 1L;

	/** ID */
	private Long id;

	/** 文件名 */
	@Excel(name = "文件名")
	private String attachmentName;

	/** 文件路径 */
	@Excel(name = "文件路径")
	private String attachmentPath;

	/** 文件MD5 */
	@Excel(name = "文件MD5")
	private String attachmentMd5;

	/** 文件扩展名 */
	@Excel(name = "文件扩展名")
	private String attachmentSuffix;

	/** 关联ID(日报/案件/行动...) */
	@Excel(name = "关联ID(日报/案件/行动...)")
	private String unitId;

	/** 类型 */
	@Excel(name = "类型")
	private Integer type;

	/** 状态 */
	@Excel(name = "状态")
	private Integer status;

	/** 部门ID */
	@Excel(name = "部门ID")
	private Long deptId;

	/** 文件分组ID */
	@Excel(name = "文件分组ID")
	private Long groupId;

	/** 文件等级 */
	@Excel(name = "文件等级")
	private Integer level;

	/** 文件权限(英文分号分隔) */
	@Excel(name = "文件权限(英文分号分隔)")
	private String permissions;

	/** 创建者 */
	@Excel(name = "创建者")
	private String creator;

	/** 更新者 */
	@Excel(name = "更新者")
	private String updater;

	/** 是否删除 */
	@Excel(name = "是否删除")
	private Integer deleted;

	/** 文件大小 */
	@Excel(name = "文件大小")
	private Long attachmentSize;

	/** 关联IDString类型 */
	@Excel(name = "关联IDString类型")
	private String unitIdStr;

	/** 目标ID */
	@Excel(name = "目标ID")
	private Long targetId;

	public void setId(Long id)
	{
		this.id = id;
	}

	public Long getId()
	{
		return id;
	}
	public void setAttachmentName(String attachmentName)
	{
		this.attachmentName = attachmentName;
	}

	public String getAttachmentName()
	{
		return attachmentName;
	}
	public void setAttachmentPath(String attachmentPath)
	{
		this.attachmentPath = attachmentPath;
	}

	public String getAttachmentPath()
	{
		return attachmentPath;
	}
	public void setAttachmentMd5(String attachmentMd5)
	{
		this.attachmentMd5 = attachmentMd5;
	}

	public String getAttachmentMd5()
	{
		return attachmentMd5;
	}
	public void setAttachmentSuffix(String attachmentSuffix)
	{
		this.attachmentSuffix = attachmentSuffix;
	}

	public String getAttachmentSuffix()
	{
		return attachmentSuffix;
	}
	public void setUnitId(String unitId)
	{
		this.unitId = unitId;
	}

	public String getUnitId()
	{
		return unitId;
	}
	public void setType(Integer type)
	{
		this.type = type;
	}

	public Integer getType()
	{
		return type;
	}
	public void setStatus(Integer status)
	{
		this.status = status;
	}

	public Integer getStatus()
	{
		return status;
	}
	public void setDeptId(Long deptId)
	{
		this.deptId = deptId;
	}

	public Long getDeptId()
	{
		return deptId;
	}
	public void setGroupId(Long groupId)
	{
		this.groupId = groupId;
	}

	public Long getGroupId()
	{
		return groupId;
	}
	public void setLevel(Integer level)
	{
		this.level = level;
	}

	public Integer getLevel()
	{
		return level;
	}
	public void setPermissions(String permissions)
	{
		this.permissions = permissions;
	}

	public String getPermissions()
	{
		return permissions;
	}
	public void setCreator(String creator)
	{
		this.creator = creator;
	}

	public String getCreator()
	{
		return creator;
	}
	public void setUpdater(String updater)
	{
		this.updater = updater;
	}

	public String getUpdater()
	{
		return updater;
	}
	public void setDeleted(Integer deleted)
	{
		this.deleted = deleted;
	}

	public Integer getDeleted()
	{
		return deleted;
	}
	public void setAttachmentSize(Long attachmentSize)
	{
		this.attachmentSize = attachmentSize;
	}

	public Long getAttachmentSize()
	{
		return attachmentSize;
	}
	public void setUnitIdStr(String unitIdStr)
	{
		this.unitIdStr = unitIdStr;
	}

	public String getUnitIdStr()
	{
		return unitIdStr;
	}
	public void setTargetId(Long targetId)
	{
		this.targetId = targetId;
	}

	public Long getTargetId()
	{
		return targetId;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
				.append("id", getId())
				.append("attachmentName", getAttachmentName())
				.append("attachmentPath", getAttachmentPath())
				.append("attachmentMd5", getAttachmentMd5())
				.append("attachmentSuffix", getAttachmentSuffix())
				.append("unitId", getUnitId())
				.append("type", getType())
				.append("status", getStatus())
				.append("deptId", getDeptId())
				.append("groupId", getGroupId())
				.append("level", getLevel())
				.append("permissions", getPermissions())
				.append("creator", getCreator())
				.append("createTime", getCreateTime())
				.append("updater", getUpdater())
				.append("updateTime", getUpdateTime())
				.append("deleted", getDeleted())
				.append("attachmentSize", getAttachmentSize())
				.append("unitIdStr", getUnitIdStr())
				.append("targetId", getTargetId())
				.toString();
	}
}
