package com.ruoyi.system.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 字段变更日志表
 * @TableName sys_field_change_log
 */
@Data
public class SysFieldChangeLog implements Serializable {
    /**
     * 日志ID
     */
    private Long id;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 字段名
     */
    private String fieldName;

    /**
     * 修改前值或删除前的值
     */
    private String oldValue;

    /**
     * 修改后值（删除时为空）
     */
    private String newValue;

    /*
        记录的主键值
     */
    private Long recordId;

    /**
     * 操作用户ID
     */
    private Long userId;

    /**
     * 操作用户名
     */
    private String username;

    /**
     * 操作时间
     */
    private Date createTime;

    /**
     * 操作类型
     */
    private String operationType;

    private static final long serialVersionUID = 1L;
}
