package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 任务分配，用于记录每个任务的执行人员及其状态。对象 task_assignments
 *
 * @author ruoyi
 * @date 2025-01-15
 */
@TableName("task_assignments")
@Data
public class TaskAssignments extends BaseEntity
{
private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(value = "id",type = IdType.AUTO)
	private Long id;

	/** 任务ID */
	private Long taskId;

	/** 执行人员ID */
	private Long userId;

	/** 重新分配人ID，可为空 */
	private Long reassignedBy;

	/** 任务状态 */
	private Integer status;

	public void setId(Long id)
	{
	this.id = id;
	}

	public Long getId()
	{
	return id;
	}
	public void setTaskId(Long taskId)
	{
	this.taskId = taskId;
	}

	public Long getTaskId()
	{
	return taskId;
	}
	public void setUserId(Long userId)
	{
	this.userId = userId;
	}

	public Long getUserId()
	{
	return userId;
	}
	public void setReassignedBy(Long reassignedBy)
	{
	this.reassignedBy = reassignedBy;
	}

	public Long getReassignedBy()
	{
	return reassignedBy;
	}
	public void setStatus(Integer status)
	{
	this.status = status;
	}

	public Integer getStatus()
	{
	return status;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
		.append("id", getId())
		.append("taskId", getTaskId())
		.append("userId", getUserId())
		.append("reassignedBy", getReassignedBy())
		.append("status", getStatus())
		.toString();
		}
}
