package com.ruoyi.system.domain;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 任务，用于存储所有的任务信息，任务可由不同用户创建并管理。对象 tasks
 *
 * @author ruoyi
 * @date 2025-01-14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("tasks")
public class Tasks extends BaseEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 任务ID，主键
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 任务标题
	 */
	@TableField("`title`")
	private String title;

	/**
	 * 任务描述
	 */
	@TableField("`description`")
	private String description;

	@TableField("`exec_cycle`")
	private Integer execCycle;

	/**
	 * 任务类型，表示任务的类别，例如：1.发布任务、2.自动任务等
	 */
	@TableField("`task_type`")
	private Integer taskType;

	/**
	 * 任务优先级
	 */
	@TableField("`priority`")
	private String priority;

	/**
	 * 任务状态
	 */
	@TableField("`status`")
	private String status;

	/**
	 * 任务计划开始时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@TableField("`start_date`")
	private LocalDate startDate;

	/**
	 * 任务计划结束时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@TableField("`end_date`")
	private LocalDate endDate;

}


