package com.ruoyi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.EnterpriseInspections;

/**
 * 企业检查记录，用于记录与企业相关的环保检查信息。Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-15
 */
public interface EnterpriseInspectionsMapper extends BaseMapper<EnterpriseInspections> {
	/**
	 * 查询企业检查记录，用于记录与企业相关的环保检查信息。
	 *
	 * @param id 企业检查记录，用于记录与企业相关的环保检查信息。主键
	 * @return 企业检查记录，用于记录与企业相关的环保检查信息。
	 */
	public EnterpriseInspections selectEnterpriseInspectionsById(Long id);

	/**
	 * 查询企业检查记录，用于记录与企业相关的环保检查信息。列表
	 *
	 * @param enterpriseInspections 企业检查记录，用于记录与企业相关的环保检查信息。
	 * @return 企业检查记录，用于记录与企业相关的环保检查信息。集合
	 */
	public List<EnterpriseInspections> selectEnterpriseInspectionsList(EnterpriseInspections enterpriseInspections);

	/**
	 * 新增企业检查记录，用于记录与企业相关的环保检查信息。
	 *
	 * @param enterpriseInspections 企业检查记录，用于记录与企业相关的环保检查信息。
	 * @return 结果
	 */
	public int insertEnterpriseInspections(EnterpriseInspections enterpriseInspections);

	/**
	 * 修改企业检查记录，用于记录与企业相关的环保检查信息。
	 *
	 * @param enterpriseInspections 企业检查记录，用于记录与企业相关的环保检查信息。
	 * @return 结果
	 */
	public int updateEnterpriseInspections(EnterpriseInspections enterpriseInspections);

	/**
	 * 删除企业检查记录，用于记录与企业相关的环保检查信息。
	 *
	 * @param id 企业检查记录，用于记录与企业相关的环保检查信息。主键
	 * @return 结果
	 */
	public int deleteEnterpriseInspectionsById(Long id);

	/**
	 * 批量删除企业检查记录，用于记录与企业相关的环保检查信息。
	 *
	 * @param ids 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteEnterpriseInspectionsByIds(Long[] ids);
}
