package com.ruoyi.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.Enterprises;
import org.apache.ibatis.annotations.Mapper;

/**
 * 企业Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-08
 */
@Mapper
public interface EnterprisesMapper extends BaseMapper<Enterprises>
{
    /**
     * 查询企业
     *
     * @param id 企业主键
     * @return 企业
     */
    public Enterprises selectEnterprisesById(Long id);

    /**
     * 查询企业列表
     *
     * @param enterprises 企业
     * @return 企业集合
     */
    public List<Enterprises> selectEnterprisesList(Enterprises enterprises);

    /**
     * 新增企业
     *
     * @param enterprises 企业
     * @return 结果
     */
    public int insertEnterprises(Enterprises enterprises);

    /**
     * 修改企业
     *
     * @param enterprises 企业
     * @return 结果
     */
    public int updateEnterprises(Enterprises enterprises);

    /**
     * 删除企业
     *
     * @param id 企业主键
     * @return 结果
     */
    public int deleteEnterprisesById(Long id);

    /**
     * 批量删除企业
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEnterprisesByIds(Long[] ids);
}
