package com.ruoyi.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.Enterprises;
import com.ruoyi.system.domain.vo.EnterpriseUserInsertVo;
import com.ruoyi.system.domain.vo.LabelValueVo;

/**
 * 企业Service接口
 *
 * @author ruoyi
 * @date 2025-01-08
 */
public interface IEnterprisesService extends IService<Enterprises>
{
    /**
     * 查询企业
     *
     * @param id 企业主键
     * @return 企业
     */
    public Enterprises selectEnterprisesById(Long id);

    /**
     * 查询企业列表
     *
     * @param enterprises 企业
     * @return 企业集合
     */
    public List<Enterprises> selectEnterprisesList(Enterprises enterprises);

    /**
     * 新增企业
     *
     * @param enterprises 企业
     * @return 结果
     */
    public int insertEnterprises(Enterprises enterprises);

    /**
     * 修改企业
     *
     * @param enterprises 企业
     * @return 结果
     */
    public int updateEnterprises(Enterprises enterprises);

    /**
     * 批量删除企业
     *
     * @param ids 需要删除的企业主键集合
     * @return 结果
     */
    public int deleteEnterprisesByIds(List<Long> ids);

    /**
     * 删除企业信息
     *
     * @param id 企业主键
     * @return 结果
     */
    public int deleteEnterprisesById(Long id);

    public void addEnterpriseUsers(EnterpriseUserInsertVo enterpriseUserInsertVo);

    public List<LabelValueVo> simpleList(Enterprises enterprises);

    List<Enterprises> selectAppEnterprisesList(Enterprises enterprises);
}
