package com.ruoyi.system.utils;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.util.UUID;

@Component
public class FileUploadUtil {

	@Value("${file.upload-dir}")
	private String uploadDir;

	@Value("${file.access-url-prefix}")
	private String accessUrlPrefix;

	public String uploadFile(MultipartFile file) throws IOException {
		File dir = new File(uploadDir);
		if (!dir.exists()) {
			dir.mkdirs();
		}

		// 生成唯一文件名
		String originalFilename = file.getOriginalFilename();
		String fileExtension = originalFilename.substring(originalFilename.lastIndexOf("."));
		String uniqueFileName = UUID.randomUUID().toString() + fileExtension;

		// 保存文件
		String filePath = uploadDir + File.separator + uniqueFileName;
		file.transferTo(new File(filePath));

		// 返回文件的访问URL
		return accessUrlPrefix + "/" + uniqueFileName;
	}
}
